## Revoke all Access tokens for a user `client.zeroTrust.organizations.revokeUsers(OrganizationRevokeUsersParamsparams, RequestOptionsoptions?): OrganizationRevokeUsersResponse` **post** `/{accounts_or_zones}/{account_or_zone_id}/access/organizations/revoke_user` Revokes a user's access across all applications. ### Parameters - `params: OrganizationRevokeUsersParams` - `email: string` Body param: The email of the user to revoke. - `account_id?: string` Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID. - `zone_id?: string` Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID. - `body_devices?: boolean` Body param: When set to `true`, all devices associated with the user will be revoked. - `user_uid?: string` Body param: The uuid of the user to revoke. - `warp_session_reauth?: boolean` Body param: When set to `true`, the user will be required to re-authenticate to WARP for all Gateway policies that enforce a WARP client session duration. When `false`, the user’s WARP session will remain active ### Returns - `OrganizationRevokeUsersResponse = true | false` - `true` - `false` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.zeroTrust.organizations.revokeUsers({ email: 'test@example.com', account_id: 'account_id', }); console.log(response); ``` #### Response ```json { "result": true, "success": true } ```